.rockBreaker_sec {
    /*.headingWrap {*/
    /*    padding-top: 30px !important;*/
    /*}*/
}

.ourProduct_sec {
    .rockSecWrap {
        .asideNav {
            .asideInner {
                position: sticky;
                top: 100px;

                .eachAsideBlock {
                    overflow: hidden;
                    border-radius: 20px;
                    box-shadow: 10px 14px 48px 18px #00000020;

                    &:not(:last-child) {
                        margin-bottom: 40px;
                    }

                    .asideBlockInner {
                        .headBlock {
                            cursor: pointer;
                            position: relative;
                            border-radius: 20px 20px 0 0;

                            .title {
                                color: #fff;
                                font-size: 20px;
                                margin-bottom: 0;
                                font-weight: 700;
                                position: relative;
                                padding: 25px 20px;
                            }

                            &:after {
                                top: 50%;
                                right: 15px;
                                color: #fff;
                                font-size: 20px;
                                content: "\f0d7";
                                transition: 0.3s;
                                position: absolute;
                                transform: translateY(-50%) rotate(0deg);
                                font-weight: var(--fa-style, 900);
                                font-family: fontawesome;
                            }
                        }

                        .botBlock {
                            .radioContainer {
                                ul {
                                    li {
                                        display: flex;
                                        flex-wrap: wrap;
                                        position: relative;
                                        align-items: center;
                                        padding: 20px 10px;
                                        margin-bottom: 0 !important;

                                        &:not(:last-child) {
                                            border-bottom: 1px solid #00000025;
                                        }

                                        .checkcontainer {
                                            display: flex;
                                            margin-bottom: 0;
                                            align-items: center;

                                            .chkLabel {
                                                top: 0px;
                                                left: 0;
                                                right: 0;
                                                bottom: 0;
                                                width: 100%;
                                                display: flex;
                                                margin-top: 0;
                                                position: relative;
                                                align-items: center;
                                                padding: 0 0 0 40px;

                                                strong {
                                                    font-size: 14px;
                                                    font-weight: 400;
                                                    color: #000000;
                                                    display: inline-block;
                                                }

                                                span {
                                                    font-size: 14px;
                                                    color: #919191;
                                                    margin-left: 10px;
                                                    display: inline-block;
                                                }
                                            }

                                            input {
                                                top: 20px;
                                                left: 0;
                                                opacity: 0;
                                                width: 100%;
                                                height: 28px;
                                                cursor: pointer;
                                                position: absolute;
                                                background-color: #f00;
                                            }
                                        }

                                        .checkmark {
                                            top: 16px;
                                            left: 15px;
                                            width: 25px;
                                            height: 25px;
                                            border-radius: 50%;
                                            position: absolute;
                                            border: 1px solid #D2D2D2;
                                            z-index: -1;

                                            &:before {
                                                top: 0;
                                                left: 0;
                                                right: 0;
                                                bottom: 0;
                                                width: 15px;
                                                content: '';
                                                height: 15px;
                                                margin: auto;
                                                position: absolute;
                                                border-radius: 50%;
                                                background-color: #D2D2D2;
                                            }
                                        }

                                        input:checked~.checkmark {
                                            border-color: #000000;

                                            &:before {
                                                background-color: #2196F3;
                                            }
                                        }
                                    }
                                }
                            }

                            .range_container {
                                width: 100%;
                                display: flex;
                                max-width: 100%;
                                padding: 30px 20px;
                                flex-direction: column;

                                .headingTitle {
                                    font-size: 18px;
                                    text-align: center;
                                    margin-bottom: 20px;
                                }

                                .sliders_control {
                                    position: relative;
                                }

                                .slider-tooltip {
                                    position: absolute;
                                    top: -3.5rem;
                                    left: 0;
                                    width: fit-content;
                                    background-color: #00000040;
                                    color: #0EA5E9;
                                    font-size: 0.8rem;
                                    border-radius: 4px;
                                    padding: 0.5rem 1rem;
                                    text-align: center;
                                    translate: -50% 0;
                                }

                                .slider-tooltip::before {
                                    content: "";
                                    position: absolute;
                                    bottom: -0.25rem;
                                    left: 50%;
                                    translate: -50% 0;
                                    width: .5rem;
                                    height: .5rem;
                                    rotate: 45deg;
                                    z-index: -1;
                                    background-color: inherit;
                                }

                                input[type=range]::-webkit-slider-thumb {
                                    -webkit-appearance: none;
                                    pointer-events: all;
                                    width: 15px;
                                    height: 15px;
                                    background-color: #0EA5E9;
                                    border-radius: 50%;
                                    box-shadow: 0 0 0 1px #0EA5E9;
                                    cursor: pointer;
                                }

                                input[type=range]::-moz-range-thumb {
                                    -webkit-appearance: none;
                                    pointer-events: all;
                                    width: 15px;
                                    height: 15px;
                                    background-color: #0EA5E9;
                                    border-radius: 50%;
                                    box-shadow: 0 0 0 1px #0EA5E9;
                                    cursor: pointer;
                                }

                                input[type=range]::-webkit-slider-thumb:hover {
                                    background: #f7f7f7;
                                }

                                input[type=range]::-webkit-slider-thumb:active {
                                    box-shadow: inset 0 0 3px #387bbe, 0 0 9px #387bbe;
                                    -webkit-box-shadow: inset 0 0 3px #387bbe, 0 0 9px #387bbe;
                                }

                                input[type="range"] {
                                    -webkit-appearance: none;
                                    appearance: none;
                                    height: 3px;
                                    width: 100%;
                                    position: absolute;
                                    background-color: #0EA5E9;
                                    pointer-events: none;
                                }

                                #fromSlider {
                                    height: 0;
                                    z-index: 1;
                                }

                                .scale {
                                    display: flex;
                                    justify-content: space-between;
                                    margin-top: 2rem;
                                    position: relative;
                                    width: calc(100% - 15px);
                                    margin-inline: auto;
                                    font-size: 0.8rem;
                                }

                                .scale div {
                                    position: absolute;
                                    translate: -50% 0;
                                }

                                .scale div::before {
                                    content: '';
                                    position: absolute;
                                    top: 0;
                                    left: 50%;
                                    translate: -50% -125%;
                                    width: 1px;
                                    height: 10px;
                                    background-color: #666;
                                }
                            }

                            .range_container_2 {}

                            .checkContainer {
                                ul {
                                    li {
                                        display: flex;
                                        flex-wrap: wrap;
                                        position: relative;
                                        align-items: center;
                                        padding: 20px 25px;
                                        margin-bottom: 0 !important;

                                        &:not(:last-child) {
                                            border-bottom: 1px solid #00000025;
                                        }

                                        .checkcontainer {
                                            display: block;
                                            position: relative;
                                            padding-left: 35px;
                                            margin-bottom: 0;
                                            cursor: pointer;
                                            font-size: 17px;
                                            -webkit-user-select: none;
                                            -moz-user-select: none;
                                            -ms-user-select: none;
                                            user-select: none;

                                            input {
                                                position: absolute;
                                                opacity: 0;
                                                cursor: pointer;
                                            }

                                            .checkmark {
                                                position: absolute;
                                                top: 0;
                                                left: 0;
                                                height: 25px;
                                                width: 25px;
                                                border: 2px solid #A2A2A2;
                                                background-color: transparent;

                                                &:after {
                                                    left: 7px;
                                                    top: 3px;
                                                    width: 7px;
                                                    height: 12px;
                                                    border: solid #A2A2A2;
                                                    border-width: 0 3px 3px 0;
                                                    -webkit-transform: rotate(45deg);
                                                    -ms-transform: rotate(45deg);
                                                    transform: rotate(45deg);
                                                    content: "";
                                                    position: absolute;
                                                }
                                            }

                                            input:checked~.checkmark {
                                                border-color: #008FFF;
                                            }

                                            input:checked~.checkmark:after {
                                                border-color: #008FFF;
                                            }
                                        }

                                        /* .checkcontainer{
                                            display: flex;
                                            margin-bottom: 0;
                                            align-items: center;
                                            .chkLabel{
                                                top: 0px;
                                                left: 0;
                                                right: 0;
                                                bottom: 0;
                                                width: 100%;
                                                display: flex;
                                                margin-top: 0;
                                                position: relative;
                                                align-items: center;
                                                padding: 0 0 0 40px;
                                                strong{
                                                    font-weight: 400;
                                                    color: #000000;
                                                    display: inline-block;
                                                }
                                                span{
                                                    font-size: 18px;
                                                    color: #919191;
                                                    margin-left: 10px;
                                                    display: inline-block;
                                                }
                                            }
                                            input{
                                                top: 20px;
                                                left: 0;
                                                width: 100%;
                                                height: 28px;
                                                cursor: pointer;
                                                position: absolute;
                                                background-color: #f00;
                                            }
                                        }
                                        .checkmark{
                                            top: 22px;
                                            left: 25px;
                                            width: 25px;
                                            height: 25px;
                                            position: absolute;
                                            border: 1px solid #D2D2D2;
                                            &:before{
                                                content: normal;
                                            }
                                            &:after {
                                                left: 9px;
                                                top: 5px;
                                                width: 5px;
                                                height: 10px;
                                                border: solid white;
                                                border-width: 0 3px 3px 0;
                                                -webkit-transform: rotate(45deg);
                                                -ms-transform: rotate(45deg);
                                                transform: rotate(45deg);
                                            }
                                        }
                                        .checkmark:after {
                                            display: none;
                                        }
                                        input:checked{
                                            border-color: #2196F3;
                                        }
                                        input:checked ~ .checkmark:after {
                                            display: block;
                                            border-color: #2196F3;
                                        } */
                                    }
                                }
                            }
                        }
                    }

                    &.active {
                        & .asideBlockInner {
                            & .headBlock {
                                &:after {
                                    transform: translateY(-50%) rotate(180deg);
                                }
                            }
                        }
                    }
                }
            }
        }

        .rightMain {
            .mainInner {
                /* .productCardWrap{
                    margin-bottom: 120px;
                    .eachProductCard{
                        padding-top: 0px !important;

                        .cardInner{
                            display: block;
                            overflow: hidden;
                            position: relative;
                            .cardInnerWrap{

                            }
                            .cardWrapInnerHover{
                                top: 0;
                                left: 0;
                                right: 0;
                                bottom: 0;
                                z-index: 2;
                                overflow: hidden;
                                transition: 0.6s;
                                position: absolute;
                                border-radius: 25px;
                                transform: translateY(100%);
                                background-color: #008FFF;
                                transform-origin: center bottom;
                                .cardWrapInnerHoverInner{
                                    padding: 30px;
                                    text-align: center;
                                    .figContTitle{
                                        margin-bottom: 30px;
                                    }
                                    .figDetails{
                                        .figDetailsInner{
                                             margin-bottom: 30px;
                                        }
                                    }
                                }
                            }

                            &:hover{
                                .cardInnerWrap {
                                    background-color: transparent;
                                    .figureWrap {
                                        .figure {
                                            background-color: transparent;
                                        }
                                    }
                                }
                                .cardWrapInnerHover{
                                    background-color: #008FFF;
                                    transform: translateY(0%);

                                    .cardWrapInnerHoverInner{
                                        .figContTitle{
                                            color: #fff;
                                            text-align: left;
                                        }
                                    }
                                }
                            }
                        }
                    }
                } */

                .applicableWrap {
                    border-radius: 20px;

                    .applicableWrapInner {
                        padding: 50px 50px;

                        h3 {
                            font-size: 30px;
                            font-weight: 600;
                            line-height: 1.2;
                            margin-bottom: 20px;
                        }

                        .appList {
                            display: flex;
                            flex-wrap: wrap;
                            align-items: center;

                            li {
                                margin-bottom: 0;

                                &:not(:last-child) {
                                    margin-right: 10px;
                                }

                                a {
                                    font-size: 24px;
                                    color: #ffffff;
                                    line-height: 20px;
                                    display: inline-block;
                                }
                            }
                        }
                    }
                }
            }
        }
    }
}


.productCardWrap {

    /* margin-bottom: 120px; */
    .eachProductCard {
        margin-bottom: 40px;
        padding-top: 0px !important;

        .cardInner {
            height: 370px;
            display: block;
            overflow: hidden;
            position: relative;

            .cardInnerWrap {
                .figureWrap {
                    border-radius: 20px;
                    margin-bottom: 10px;
                    background-color: #E3E9ED;

                    .imgBox {
                        height: 310px;
                        display: flex;
                        align-items: center;
                        justify-content: center;

                        img {}
                    }
                }

                .figContBox {
                    .figContBoxInner {
                        .figContLeft {
                            .figContTitle {
                                font-size: 18px;
                                color: #000000;
                            }
                        }
                    }
                }
            }

            .cardWrapInnerHover {
                top: 0;
                left: 0;
                right: 0;
                bottom: 0;
                z-index: 2;
                overflow: hidden;
                transition: 0.6s;
                position: absolute;
                border-radius: 20px;
                transform: translateY(100%);
                background-color: #100079;
                transform-origin: center bottom;

                .cardWrapInnerHoverInner {
                    padding: 30px 15px;
                    text-align: center;

                    .figContTitle {
                        color: #fff;
                        text-align: left;
                        margin-bottom: 10px;
                        font-size: 20px;
                        margin-bottom: 15px;
                    }

                    .cardMobVw {
                        display: none;
                    }

                    .figDetails {
                        .figDetailsInner {
                            overflow-y: auto;
                            max-height: 330px;
                            padding-right: 10px;
                            margin-bottom: 15px;

                            .figDetailsInnerCard {
                                &:not(:last-child) {
                                    margin-bottom: 10px;
                                    padding-bottom: 5px;
                                    border-bottom: 1px solid #ffffff50;
                                }

                                .figDetLine {
                                    width: 100%;
                                    display: none;

                                    input[type="range"] {
                                        cursor: pointer;
                                        width: 100%;
                                        border-radius: 10px;
                                        border: none;
                                    }
                                }

                                .figDetTxt {
                                    display: flex;
                                    justify-content: space-between;
                                    gap: 10px;

                                    p {
                                        color: #fff;
                                        font-size: 16px;
                                        margin-bottom: 0;
                                    }
                                }
                            }
                        }

                        .btnWrap {
                            margin-top: 15px;

                            .btnOne {
                                span.btnTxt {
                                    height: 48px;
                                    font-size: 14px;
                                    min-width: 180px;
                                }

                                span.arrow {
                                    width: 48px;
                                    height: 48px;
                                }
                            }
                        }
                    }
                }

                .cardWrapInnerHoverInner {
                    .figContTitle {}

                }
            }

            &:hover {
                .cardInnerWrap {
                    background-color: transparent;

                    .figureWrap {
                        .figure {
                            background-color: transparent;
                        }
                    }
                }

                .cardWrapInnerHover {
                    background-color: #100079;
                    transform: translateY(0%);
                }
            }
        }
    }
}



.eachStWrap {
    .eachSt {
        .eachStInner {
            padding: 20px;
            border-radius: 20px;
            background-color: #fff;
            min-height: 220px;
            display: flex;
            flex-direction: column;
            justify-content: space-between;

            figure {
                width: 100%;
                display: block;
                text-align: right;
                margin-bottom: 30px;

                img {
                    width: 70px;
                    display: inline-block;
                }
            }

            .stTitle {
                width: 80%;

                h3 {
                    font-size: 24px;
                    font-weight: 400;
                    color: #000000;
                    font-family: "Poppins", sans-serif;
                }
            }
        }
    }
}



.pressSlider {
    &.caseSlider {
        .pressCard {
            .pressImg {
                height: 300px;
            }
        }

        .slick-list {
            margin: 0px;
            padding: 0 !important;
        }

        .slick-arrow {
            &.slick-prev {
                left: -40px;
            }

            &.slick-next {
                right: -45px;
            }
        }
    }

    .pressSlide {
        & .pressCard {
            &:hover {
                & .pressText {
                    & .pressTextInn {
                        a {
                            text-decoration: none;
                        }
                    }
                }
            }
        }
    }
}



.dealerSec {
    .sectionInner {
        overflow: hidden;
        border-radius: 20px;
    }
}

.basic_btn_sk {
    display: flex;
    justify-content: center;
    align-items: center;
    color: #FFF;
    text-align: center;
    font-size: 18px;
    font-style: normal;
    font-weight: 400;
    letter-spacing: 2.7px;
    text-transform: uppercase;
    background-color: #008FFF;
    border: 1px solid #008FFF;
    min-width: 190px;
    height: 56px;
    padding: 0 30px;
    border-radius: 50px;
    margin: 0 auto;
    transition: all 0.5s;

    &:hover {
        background-color: transparent;
        color: #008FFF;
    }
}

/* start responsive */

@media(max-width: 1440px) {

    /* start product */
    .productCardWrap {
        & .eachProductCard {
            & .cardInner {
                & .cardWrapInnerHover {
                    & .cardWrapInnerHoverInner {
                        & .figDetails {
                            & .btnWrap {
                                & .btnOne {
                                    span.btnTxt {
                                        height: 44px;
                                    }

                                    span.arrow {
                                        width: 44px;
                                        height: 44px;
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
    }


}

@media(max-width: 1399px) {

    /* start product */
    .productCardWrap {
        & .eachProductCard {
            & .cardInner {
                & .cardInnerWrap {
                    & .figureWrap {
                        & .imgBox {
                            img {
                                height: 100%;
                            }
                        }
                    }
                }
            }
        }
    }
}

@media(max-width: 1366px) {
    .eachStWrap {
        & .eachSt {
            & .eachStInner {
                min-height: 200px;

                .stTitle {
                    width: 90%;

                    h3 {
                        font-size: 22px;
                    }
                }
            }
        }
    }

    /* start product */
    .ourProduct_sec {
        & .rockSecWrap {
            & .asideNav {
                & .asideInner {
                    & .eachAsideBlock {
                        & .asideBlockInner {
                            & .botBlock {
                                & .radioContainer {
                                    & ul {
                                        li {
                                            padding: 15px 10px;
                                        }
                                    }
                                }
                            }

                            .headBlock {
                                .title {
                                    font-size: 18px;
                                    padding: 18px 20px;
                                }
                            }
                        }
                    }
                }
            }
        }
    }

    .basic_btn_sk {
        font-size: 16px;
        height: 46px;
    }
}

@media(max-width: 1240px) {
    .eachStWrap {
        & .eachSt {
            & .eachStInner {
                .stTitle {
                    width: 100%;
                }
            }
        }
    }
}

@media(max-width: 1199px) {
    .eachStWrap {
        & .eachSt {
            & .eachStInner {
                text-align: center;
                min-height: 186px;

                & figure {
                    text-align: center;
                    margin-bottom: 15px;

                    img {
                        width: 60px;
                        display: block;
                        margin: 0 auto;
                    }
                }

                & .stTitle {
                    h3 {
                        font-size: 20px;
                    }
                }
            }
        }
    }
}

@media(max-width: 991px) {
    .mobOvrImg {
        border-radius: 15px;

        img {
            width: 100%;
            border-radius: 15px;
        }
    }

    /* start strength */
    .eachStWrap {
        & .eachSt {
            margin-bottom: 20px;

            & .eachStInner {
                min-height: 160px;
            }
        }
    }

    /* start product */
    .ourProduct_sec {
        .rockSecWrap {
            .asideNav {
                margin-bottom: 40px;
            }

            .rightMain {
                .mainInner {
                    .applicableWrap {
                        .applicableWrapInner {
                            padding: 30px 20px;

                            h3 {
                                font-size: 25px;
                                margin-bottom: 15px;
                            }
                        }
                    }
                }
            }
        }
    }

    .productCardWrap {
        & .eachProductCard {
            & .cardInner {
                height: auto;

                & .cardInnerWrap {
                    display: none;

                }

                .cardWrapInnerHover {
                    position: inherit;
                    /* background-color: #008fff; */
                    transform: translateY(0);

                    & .cardWrapInnerHoverInner {
                        .figContTitle {
                            color: #fff;
                            font-size: 20px;
                            text-align: center;
                        }

                        .cardMobVw {
                            display: block;
                            margin: 0 auto 20px;

                            .figure {
                                width: 150px;
                                background-color: #fff;
                                padding: 10px;
                                border-radius: 10px;
                            }
                        }
                    }
                }
            }
        }
    }

    /* start dealer sec */
    .findDealerBtm {
        text-align: center;

        .secSmallH {
            br {
                display: none;
            }
        }
    }

    .eachStWrap {
        .eachSt {
            .eachStInner {
                .stTitle {
                    h3 {
                        font-size: 18px;
                    }
                }
            }
        }
    }

    .ourProduct_sec {
        .rockSecWrap {
            .asideNav {
                .asideInner {
                    position: static;
                }
            }
        }
    }
}

@media(max-width: 575px) {

    /* start strength */
    .eachStWrap {
        & .eachSt {
            width: 100%;

            & .eachStInner {
                min-height: auto;
            }
        }
    }

    .ourProduct_sec {
        .rockSecWrap {
            .asideNav {
                margin-bottom: 27px;
            }
        }
    }

    .productCardWrap {
        .eachProductCard {
            margin-bottom: 10px;
        }
    }

    .productCardWrap {
        .eachProductCard {
            .cardInner {
                .cardWrapInnerHover {
                    .cardWrapInnerHoverInner {
                        .cardMobVw {
                            .figure {
                                width: 100%;
                            }
                        }
                    }
                }
            }
        }
    }
}

@media(max-width: 480px) {}

/* end responsive */